---
layout: default
title: "Tags"
permalink: /tags/
---

<div class="tags">
  <div class="tags-header">
    <h2 class="tags-header-title">{{ page.title }}</h2>
    <div class="tags-header-line"></div>
  </div>
  <div class="tags-clouds">
    {% assign st = site.tags | sort -%}
    {% for tag in st -%}
    <a href="#{{ tag[0] }}">{{ tag[0] | replace: '_', ' ' }}</a>
    {% endfor %}
  </div>
  {% for tag in st -%}
  <div class="tags-item" id="{{ tag[0] }}">
    <svg
      class="tags-item-icon"
      xmlns="http://www.w3.org/2000/svg"
      width="20"
      height="20"
      viewBox="0 0 24 24"
      fill="none"
      stroke="currentColor"
      stroke-width="2"
      stroke-linecap="round"
      stroke-linejoin="round"
      class="feather feather-tag"
    >
      <path
        d="M20.59 13.41l-7.17 7.17a2 2 0 0 1-2.83 0L2 12V2h10l8.59 8.59a2 2 0 0 1 0 2.82z"
      ></path>
      <line x1="7" y1="7" x2="7.01" y2="7"></line>
    </svg>
    <h2 class="tags-item-label">{{ tag[0] | replace: '_', ' ' }} <span><a href="/feed/by_tag/{{ tag[0] }}.xml">{feed}</a></span></h2>
    {% for post in tag[1] -%}
    <a class="tags-post" href="{{ post.url | prepend: site.baseurl }}">
      <div>
        <span class="tags-post-title">{{ post.title }}</span>
        <div class="tags-post-line"></div>
      </div>
      <span class="tags-post-meta">
        <time datetime="{{ post.date }}">
          {{ post.date | date:"%Y-%m-%d" }}
        </time>
      </span>
    </a>
    {% endfor %}
  </div>
  {% endfor %}
</div>
